﻿Imports GrapeCity.ActiveReports
Imports GrapeCity.ActiveReports.PageReportModel


Class ClsPageReport

    Public Function CreateReport() As PageReport
        Dim _pageReport As GrapeCity.ActiveReports.PageReport = New GrapeCity.ActiveReports.PageReport
        Dim _dataSource As DataSource = New DataSource
        Dim _dataSet As DataSet = New DataSet
        _dataSource.Name = "NWINDds"
        _dataSource.ConnectionProperties.ConnectString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Users\stduser\Documents\ComponentOne Samples\ActiveRe" & _
        "ports Developer 7\Data\NWIND.mdb;Persist Security Info=False"
        _dataSource.ConnectionProperties.DataProvider = "OLEDB"
        _dataSet.Name = "CategoryDataSet"
        _dataSet.Query.DataSourceName = "NWINDds"
        _dataSet.Query.CommandType = GrapeCity.ActiveReports.PageReportModel.QueryCommandType.Text
        _dataSet.Query.CommandText = "Select * From Categories"
        Dim f As GrapeCity.ActiveReports.PageReportModel.Field = New GrapeCity.ActiveReports.PageReportModel.Field
        f.Name = "CategoryID"
        f.DataField = "CategoryID"
        Dim f2 As GrapeCity.ActiveReports.PageReportModel.Field = New GrapeCity.ActiveReports.PageReportModel.Field
        f2.Name = "CategoryName"
        f2.DataField = "CategoryName"
        Dim f3 As GrapeCity.ActiveReports.PageReportModel.Field = New GrapeCity.ActiveReports.PageReportModel.Field
        f3.Name = "Description"
        f3.DataField = "Description"
        _dataSet.Fields.Add(f)
        _dataSet.Fields.Add(f2)
        _dataSet.Fields.Add(f3)
        _pageReport.Report.DataSources.Add(_dataSource)
        _pageReport.Report.DataSets.Add(_dataSet)
        _pageReport.Report.PageHeight = "11in"
        _pageReport.Report.PageWidth = "6.5in"
        _pageReport.Report.Width = "6.5in"
        _pageReport.Report.Body.Style.BackgroundColor = "Cornsilk"
        Dim _fixedPage As FixedPage = New FixedPage
        Dim _page As Page = New Page
        _fixedPage.Name = "FixedPage1"
        _fixedPage.DataSetName = "CategoryDataSet"
        _fixedPage.Pages.Add(_page)
        Dim _txtHeader As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _txtHeader.Name = "TextBox4"
        _txtHeader.Height = "0.7369in"
        _txtHeader.Width = "3.1771in"
        _txtHeader.Top = "0in"
        _txtHeader.Left = "1.885471in"
        _txtHeader.Style.FontSize = "26pt"
        _txtHeader.Style.FontWeight = "700"
        _txtHeader.Style.TextAlign = "Center"
        _txtHeader.Value = "CATEGORY LIST"
        Dim _txtHeadID As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _txtHeadID.Name = "TextBox5"
        _txtHeadID.Height = "0.25in"
        _txtHeadID.Width = "1.2604in"
        _txtHeadID.Top = "0.9691667in"
        _txtHeadID.Left = "0in"
        _txtHeadID.Style.FontWeight = "700"
        _txtHeadID.Style.TextAlign = "Center"
        _txtHeadID.Style.BackgroundColor = "Silver"
        _txtHeadID.Value = "CategoryID"
        Dim _txtHeadName As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _txtHeadName.Name = "TextBox6"
        _txtHeadName.Height = "0.25in"
        _txtHeadName.Width = "2.5417in"
        _txtHeadName.Top = "0.9691667in"
        _txtHeadName.Left = "1.260417in"
        _txtHeadName.Style.FontWeight = "700"
        _txtHeadName.Style.TextAlign = "Center"
        _txtHeadName.Style.BackgroundColor = "Silver"
        _txtHeadName.Value = "Category Name"
        Dim _txtHeadDesc As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _txtHeadDesc.Name = "TextBox7"
        _txtHeadDesc.Height = "0.25in"
        _txtHeadDesc.Width = "2.6979in"
        _txtHeadDesc.Top = "0.9691667in"
        _txtHeadDesc.Left = "3.802083in"
        _txtHeadDesc.Style.FontWeight = "700"
        _txtHeadDesc.Style.TextAlign = "Center"
        _txtHeadDesc.Style.BackgroundColor = "Silver"
        _txtHeadDesc.Value = "Description"
        Dim _objList As List = New List
        _objList.Name = "List1"
        _objList.Top = "1.28125in"
        _objList.Left = "0in"
        _objList.Height = "1.3229in"
        _objList.Width = "6.4688in"
        _objList.FixedHeight = "8in"
        _objList.FixedWidth = "6.4688in"
        _objList.Style.BackgroundColor = "Lavender"
        Dim _objTextBox As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _objTextBox.Name = "TextBox1"
        _objTextBox.Top = "0.1666667in"
        _objTextBox.Left = "0.1875in"
        _objTextBox.Height = "0.25in"
        _objTextBox.Width = "0.25in"
        _objTextBox.Value = "=Fields!CategoryID.Value"
        Dim _objTextBox2 As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _objTextBox2.Name = "TextBox2"
        _objTextBox2.Top = "0.1666667in"
        _objTextBox2.Left = "2.21875in"
        _objTextBox2.Height = "0.25in"
        _objTextBox2.Width = "1in"
        _objTextBox2.Value = "=Fields!CategoryName.Value"
        Dim _objTextBox3 As GrapeCity.ActiveReports.PageReportModel.TextBox = New GrapeCity.ActiveReports.PageReportModel.TextBox
        _objTextBox3.Name = "TextBox3"
        _objTextBox3.Top = "0.1666667in"
        _objTextBox3.Left = "3.9375in"
        _objTextBox3.Height = "1.1458in"
        _objTextBox3.Width = "2in"
        _objTextBox3.Value = "=Fields!Description.Value"
        _objList.ReportItems.Add(_objTextBox)
        _objList.ReportItems.Add(_objTextBox2)
        _objList.ReportItems.Add(_objTextBox3)
        _fixedPage.Pages(0).Style.BackgroundColor = "Red"
        _fixedPage.Pages(0).ReportItems.Add(_objList)
        _fixedPage.Pages(0).ReportItems.Add(_txtHeader)
        _fixedPage.Pages(0).ReportItems.Add(_txtHeadID)
        _fixedPage.Pages(0).ReportItems.Add(_txtHeadName)
        _fixedPage.Pages(0).ReportItems.Add(_txtHeadDesc)
        _pageReport.Report.Body.ReportItems.Add(_fixedPage)
        Return _pageReport
    End Function
End Class
